be.fgov.ehealth.certra.protocol.v2

## Class GenerateContractRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.certra.protocol.v2.GenerateContractRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:19:47+02:00",
                 comments="JAXB RI v2.2.11")
      public class GenerateContractRequest
      extends RequestType
      implements Serializable

  Request for obtaining a customized eHealth contract for requesting an eHealth certificate and encryption token.

  Java class for GenerateContractRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GenerateContractRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <sequence>
               <element name="ContactData" type="{urn:be:fgov:ehealth:certra:core:v2}ContactDataType"/>
               <element name="Signer" type="{urn:be:fgov:ehealth:commons:core:v2}ActorType"/>
               <element name="CertificateIdentifier" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateIdentifierType"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateContractRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificateIdentifierType` | `getCertificateIdentifier()` Gets the value of the certificateIdentifier property.
    `ContactDataType` | `getContactData()` Gets the value of the contactData property.
    `ActorType` | `getSigner()` Gets the value of the signer property.
    `void` | `setCertificateIdentifier(CertificateIdentifierType value)` Sets the value of the certificateIdentifier property.
    `void` | `setContactData(ContactDataType value)` Sets the value of the contactData property.
    `void` | `setSigner(ActorType value)` Sets the value of the signer property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateContractRequest

          public GenerateContractRequest()

  - ### Method Detail

    - #### getContactData

          public ContactDataType getContactData()

      Gets the value of the contactData property.
      Returns:
        possible object is `ContactDataType`

    - #### setContactData

          public void setContactData(ContactDataType value)

      Sets the value of the contactData property.
      Parameters:
        `value` - allowed object is `ContactDataType`

    - #### getSigner

          public ActorType getSigner()

      Gets the value of the signer property.
      Returns:
        possible object is `ActorType`

    - #### setSigner

          public void setSigner(ActorType value)

      Sets the value of the signer property.
      Parameters:
        `value` - allowed object is `ActorType`

    - #### getCertificateIdentifier

          public CertificateIdentifierType getCertificateIdentifier()

      Gets the value of the certificateIdentifier property.
      Returns:
        possible object is `CertificateIdentifierType`

    - #### setCertificateIdentifier

          public void setCertificateIdentifier(CertificateIdentifierType value)

      Sets the value of the certificateIdentifier property.
      Parameters:
        `value` - allowed object is `CertificateIdentifierType`

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.